OSSAUDIO(3)

NAME
ossaudio - OSS audio emulation

SYNOPSIS
#include <soundcard.h>

DESCRIPTION
The ossaudio library provides an emulation of the OSS (Linux) audio interface.

Use the native interface for new programs and the emulation library only for porting programs.

SEE ALSO
audio(4)

HISTORY
The ossaudio library first appeared in NetBSD 1.3.

BUGS
The emulation uses a #define for ioctl() so some obscure programs can fail to compile.

The emulation is incomplete.

The emulation only covers ioctl(), there are other differences as well. E.g., on a write that would block in non-blocking mode Linux returns EINTR whereas OpenBSD returns EAGAIN.